# Generated from fog-vcloud-director-0.3.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fog-vcloud-director

Name: rubygem-%{gem_name}
Version: 0.3.1
Release: 1%{?dist}
Summary: Module for the 'fog' gem to support vCloud Director
License: MIT
URL: https://github.com/xlab-si/fog-vcloud-director
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(shindo)
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(vcr)
# BuildRequires: rubygem(webmock)
# BuildRequires: rubygem(rubocop) >= 0.52.1
# BuildRequires: rubygem(rubocop) < 0.53
# BuildRequires: rubygem(pronto-rubocop)
BuildArch: noarch

%description
This library can be used as a module for `fog` or as standalone provider
to use the vCloud Director in applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# shindont
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.editorconfig
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.hound.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.rubocop_local.yml
%{gem_instdir}/.ruby-gemset
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%{gem_instdir}/tasks
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/docs
%{gem_instdir}/fog-vcloud-director.gemspec
%{gem_instdir}/spec
%{gem_instdir}/tests

%changelog
* Mon Aug 23 2021 mockbuilder - 0.3.1-1
- Initial package
